body {
  background-color: #f2efef !important;
}

.main-card {
  background-color: #fafafa;
  /* border: 1px solid #000; */
  border-radius: 0.375rem;
  margin: 5rem 5rem;
  padding: 10px 10px;
  transition: box-shadow 0.5s ease; /* Add a transition for the box-shadow property */
  width: 70%;
  margin: auto;
}

#card {
  background-color: #cfcfcf;
  border: none;
  margin-top: 15%;
}

.search-card {
  margin-top: 10% !important;
  /* margin-bottom: 25% !important; */
}

.main-card:hover {
  box-shadow: 5px 5px 10px 2px rgba(0, 0, 0, 0.3);
}

#center-content {
  text-align: center;
  margin-top: 20%;
}

#header {
  margin-bottom: 20px;
  text-align: center;
}

#header h1 {
  font-size: 1.5em;
  margin-top: 20px;
  margin-bottom: 20px;
}

#sub-header {
  font-size: 1.2em;
  font-weight: bold;
}

#transaction-wrap {
  position: relative;
}

#transaction-wrap {
  /* margin: 20% 20%; */
  /* top: 100; */
  position: relative;
  margin-top: 10%;
  margin-left: 25%;
}

#transaction-line {
  height: 2px;
  width: 100%;
  position: relative;
}

.transaction-line {
  height: 100%;
  width: 33.33%;
  position: absolute;
}

.line1 {
  /*background-color: #ccc;  Default color for Bank 1 to Bank 2 */
  background:url("");
  height:15px;
  left: 0;
}

.line2 {
  /*background-color: #ccc; Default color for Bank 2 to Bank 3 */
  background:url("");
  height:15px;
  left: 33.33%;
}

.transaction-point {
  z-index: 1000;
  color: #fff;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 1.4em;
  text-align: center;
  position: absolute;
  margin-left: -25px;
  border-radius: 50%;
}

.point1 {
  top: -25px;
  left: 0;
}

.point2 {
  top: -25px;
  left: 33.33%;
}

.point3 {
  top: -25px;
  left: 66.66%;
}

.transaction-point p {
  margin-top: 10px;
  font-size: 14px;
  color: #000;
  line-height: 1.2; /* Adjust the line height as needed */
  padding: 5px; /* Add padding as needed */
}

.report {
  margin-top: 10%;
  text-align: center;
}

.my-table {
  /* margin-left: 10%;
  background: transparent !important; */
}

.table-center-text {
  /* text-align: center !important; */
}

/* Colors for points based on transaction status */
.reached {
  background-color: #4caf50 !important; /* Green color for reached points */
}

.not-reached {
  background-color: #ff5733 !important; /* Red color for not-reached points */
}


#loader {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	background-color: #000;
	opacity: 0.5;
	background-image:url("loader.gif");
	background-size:450px;
	background-position:center;
	background-repeat:no-repeat;
	z-index: 10000;
}

@media only screen and (max-width: 768px) {
  /* For mobile phones: */
  .main-card {
  background-color: #fafafa;
  /* border: 1px solid #000; */
  border-radius: 0.375rem;
  margin: 5rem 5rem;
  padding: 10px 10px;
  transition: box-shadow 0.5s ease; /* Add a transition for the box-shadow property */
  width: 90%;
  margin: auto;
}

#trstat h4 {
  font-size: 1.2em;
}

#trstat {
  margin-bottom: 3.5em !important;
}

#header h1 {
  font-size: 1.2em;
  margin-top:13px !important;
  margin-bottom:13px !important;
}

#header h5 {
  font-size: 1em;
}

#card {
  margin-top: 35% !important;
}

}


